org.eclipse.microprofile.reactive.messaging.tck.channel

## Class SourceBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.SourceBean

    @ApplicationScoped
    public class SourceBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SourceBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.reactive.streams.operators.ProcessorBuilder<String,Object>` `bonjour()`
`org.reactivestreams.Publisher<String>` `hello()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `raw()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceBean

    public SourceBean()

### Method Detail

#### hello

    public org.reactivestreams.Publisher<String> hello()

#### bonjour

    public org.eclipse.microprofile.reactive.streams.operators.ProcessorBuilder<String,Object> bonjour()

#### raw

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> raw()